Get radar publication status
curl --request GET \
--url https://conus.prod.radar.arcweather.cloud/status.json \
--header 'Authorization: <api-key>' \
--header 'X-App: <api-key>'import requests
url = "https://conus.prod.radar.arcweather.cloud/status.json"
headers = {
"Authorization": "<api-key>",
"X-App": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>', 'X-App': '<api-key>'}};
fetch('https://conus.prod.radar.arcweather.cloud/status.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"healthy": true,
"latest": "202604022225",
"timestamps": [
"202604022225",
"202604022223",
"202604022221"
]
}{
"error": {
"code": 401,
"message": "Unauthorized"
}
}{
"error": {
"code": 403,
"message": "Forbidden"
}
}{
"error": {
"code": 429,
"message": "Too Many Requests"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 503,
"message": "Service Unavailable"
}
}Get radar publication status
Returns the current health of the radar service, the latest available published radar timestamp, and a list of available timestamps. Clients should call this endpoint before requesting a PMTiles archive.
GET
/
status.json
Get radar publication status
Authorizations
API key sent in the Authorization header using Bearer format. Example: Authorization: Bearer YOUR_API_KEY
Application identifier sent in the X-App header using Bearer format. Example: X-App: Bearer YOUR_APP_ID
Response
Radar status retrieved successfully
Whether the radar publishing service is currently healthy.
Example:
true
Latest available published radar timestamp in YYYYMMDDHHmm format.
Pattern:
^[0-9]{12}$Example:
"202604022225"
List of available published radar timestamps.
Pattern:
^[0-9]{12}$Example:
[
"202604022225",
"202604022223",
"202604022221"
]
Last modified on April 4, 2026
⌘I